
Redmine - Defect #17835

Issue Properties revert to previously set value when submitting ticket update

2014-09-11 01:58 - Oscar Santos

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

At times, when an Issue is updated and the Issue Properties (e.g. Priority, % Done, etc.) are changed then submitted, a following

update will revert those changes. I have been able to replicate it only a handful of times. When I am able to replicate it, I can see the

Issue Properties set to the old value and refreshing the page does not update them. It is only when I back out of the page then return

to that issue it updates properly.

I suspect a browser/cache issue but I am uncertain of what changes to adjust that will play nicely with Redmine to avoid this. Has

anyone else experienced this issues?

My environment details is below:

Environment:

  Redmine version                2.5.2.stable

  Ruby version                   2.0.0-p353 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Filesystem                     

Redmine plugins:

  AgileDwarf                     0.0.3

  issue_repo_history_merge       0.0.2

  redmine_auto_watch             1.0.0

  redmine_banner                 0.0.9

  redmine_issue_checklist        2.0.5

  redmine_issue_templates        0.0.5

  redmine_landing_page           0.1.0

  redmine_pdf_export_backports   0.0.1

  redmine_reminder               0.4

  redmine_wiki_extensions        0.6.4

  redmine_wiki_sql               0.0.1

History

#1 - 2014-10-09 12:07 - Toshi MARUYAMA

- Category changed from Performance to Issues

#2 - 2016-03-27 13:25 - Toshi MARUYAMA

- Description updated
